# Uses of Interface
org.springframework.web.servlet.FlashMapManager

Packages that use FlashMapManager
Package
Description
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.
org.springframework.web.servlet.support
Support classes for Spring's web MVC framework.

## Uses of FlashMapManager in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation that return FlashMapManager
Modifier and Type
Method
Description
`FlashMapManager`
WebMvcConfigurationSupport.`flashMapManager()`

## Uses of FlashMapManager in org.springframework.web.servlet.support

Classes in org.springframework.web.servlet.support that implement FlashMapManager
Modifier and Type
Class
Description
`class`
`AbstractFlashMapManager`
A base class for `FlashMapManager` implementations.
`class`
`SessionFlashMapManager`
Store and retrieve `FlashMap` instances to and from the HTTP session.
Methods in org.springframework.web.servlet.support that return FlashMapManager
Modifier and Type
Method
Description
`static FlashMapManager`
RequestContextUtils.`getFlashMapManager(HttpServletRequest request)`
Return the `FlashMapManager` instance to save flash attributes.